#include <cmath>
#include <cblas.h>               // cBLAS Library
#include <omp.h>                // OpenMP

using namespace std;
#include "mylib.h"


double scalar(const unsigned int N, const double x[], const double y[])
{
 double sum = 0.0;
 unsigned int i;
#pragma omp parallel for private(i) shared(x,y) schedule(static) reduction(+:sum)
 for (i=0; i<N; ++i)
 {
    sum += x[i]*y[i];
 }
 return sum;
}


double norm(const unsigned int N, const double x[])
{
 double sum = 0.0;
 for (unsigned int i=0; i<N; ++i)
 {
    sum += x[i]*x[i];
 }
 return sqrt(sum);
}

